/*
 * DANG_BEGIN_MODULE
 *
 *
 *
 * DANG_END_MODULE
 *
 * DANG_BEGIN_CHANGELOG
 *
 * $Date: $
 * $Source: $
 * $Revision: $
 * $State: $
 *
 * $Log: $
 *
 * DANG_END_CHANGELOG
 */

#include "dosemu.h"
#include "base/int.h"
#include "arch/signals.h"
#include "arch/vm86plus.h"

void cpu_one_instr(void)
{
  long saved_flags = READ_FLAGS();

  h_printf("CPU: cpu_one_instr invoked\n");
  WRITE_FLAGS(READ_FLAGS() | TF);    /* set the trap flag */
  ignore_trap++;
  in_vm86++;
  DO_VM86(&vm86s);                   /* do one instruction */
  in_vm86--;
  ignore_trap--;
  WRITE_FLAGS(saved_flags);          /* and return */
}

